Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Static Public Attributes | List of all members
ParticleInterval Class Reference
Inheritance diagram for ParticleInterval:

## Public Member Functions
| __init__ (self, particleEffect, parent, worldRelative=1, renderParent=None, duration=0.0, softStopT=0.0, cleanup=False, name=None)
| privFinalize (self)
| privInitialize (self, t)
| privInstant (self)
| privStep (self, t)
Public Member Functions inherited from Interval
| __init__ (self, name, duration, openEnded=1)
| __repr__ (self, indent=0)
| clearToInitial (self)
| finish (self)
| getDoneEvent (self)
| getDuration (self)
| getLoop (self)
| getName (self)
| getOpenEnded (self)
| getPlayRate (self)
| getState (self)
| getT (self)
| intervalDone (self)
| isPaused (self)
| isPlaying (self)
| isStopped (self)
| loop (self, startT=0.0, endT=-1.0, playRate=1.0)
| pause (self)
| popupControls (self, tl=None)
| privDoEvent (self, t, event)
| privInterrupt (self)
| privPostEvent (self)
| privReverseFinalize (self)
| privReverseInitialize (self, t)
| privReverseInstant (self)
| resume (self, startT=None)
| resumeUntil (self, endT)
| setDoneEvent (self, event)
| setLoop (self, loop=1)
| setPlayRate (self, playRate)
| setT (self, t)
| setupPlay (self, startT, endT, playRate, doLoop)
| setupResume (self)
| start (self, startT=0.0, endT=-1.0, playRate=1.0)
| stepPlay (self)
Public Member Functions inherited from DirectObject
| __init__ (self)
| accept (self, event, method, extraArgs=[])
| acceptOnce (self, event, method, extraArgs=[])
| addTask (self, *args, **kwargs)
| detectLeaks (self)
| doMethodLater (self, *args, **kwargs)
| getAllAccepting (self)
| ignore (self, event)
| ignoreAll (self)
| isAccepting (self, event)
| isIgnoring (self, event)
| removeAllTasks (self)
| removeTask (self, taskOrName)

## Public Attributes
| cleanup = cleanup
| particleEffect = particleEffect
| softStopT = duration
Public Attributes inherited from Interval
float | currT = 0.0
| doneEvent = None
| duration = max(duration, 0.0)
| es
| name = name
| openEnded = openEnded
| pname = name.split('-', 1)[0]
| pstats = None
list | setTHooks = []
| state = CInterval.SInitial

## Static Public Attributes
int | particleNum = 1
Static Public Attributes inherited from Interval
| notify = directNotify.newCategory("Interval")
int | playbackCounter = 0
Static Public Attributes inherited from DirectObject
| accept_once = acceptOnce
| add_task = addTask
| detect_leaks = detectLeaks
| do_method_later = doMethodLater
| get_all_accepting = getAllAccepting
| ignore_all = ignoreAll
| is_accepting = isAccepting
| is_ignoring = isIgnoring
| remove_all_tasks = removeAllTasks
| remove_task = removeTask

## Additional Inherited Members
Protected Member Functions inherited from DirectObject
| _addTask (self, task)
| _clearTask (self, task)
Protected Attributes inherited from DirectObject
dict | _taskList = {}
Properties inherited from Interval
| done_event = property(getDoneEvent, setDoneEvent)
| open_ended = property(getOpenEnded)
| play_rate = property(getPlayRate, setPlayRate)
| stopped = property(isStopped)
| t = property(getT, setT)

## Detailed Description

    Use this interval when you want to have greater control over a
    ParticleEffect.  The interval does not register the effect with
    the global particle and physics managers, but it does call upon
    them to perform its stepping.  You should NOT call
    particleEffect.start() with an effect that is being controlled
    by a ParticleInterval.

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | particleEffect,
|  |  | parent,
|  |  | worldRelative = 1,
|  |  | renderParent = None,
|  |  | duration = 0.0,
|  |  | softStopT = 0.0,
|  |  | cleanup = False,
|  |  | name = None )

    Args:
        particleEffect (ParticleEffect): a particle effect
        parent (NodePath): this is where the effect will be parented in the
            scene graph
        worldRelative (bool): this will override 'renderParent' with render
        renderParent (NodePath): this is where the particles will be
            rendered in the scenegraph
        duration (float): for the time
        softStopT (float): no effect if 0.0, a positive value will count
            from the start of the interval, a negative value will count
            from the end of the interval
        cleanup (boolean): if True the effect will be destroyed and removed
            from the scenegraph upon interval completion.  Set to False if
            planning on reusing the interval.
        name (string): use this for unique intervals so that they can be
            easily found in the taskMgr.

## Member Function Documentation

## ◆ privFinalize()

privFinalize | ( |  | self | ) |

Reimplemented from Interval.

## ◆ privInitialize()

privInitialize | ( |  | self,
|  |  | t )

Reimplemented from Interval.

## ◆ privInstant()

privInstant | ( |  | self | ) |

Reimplemented from Interval.

## ◆ privStep()

privStep | ( |  | self,
|  |  | t )

Reimplemented from Interval.

## Member Data Documentation

## ◆ cleanup

cleanup = cleanup

## ◆ particleEffect

particleEffect = particleEffect

## ◆ particleNum

int particleNum = 1
| static

## ◆ softStopT

softStopT = duration